/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/

#ifndef CONFIG_TABLE_H
#define CONFIG_TABLE_H

struct      config_table * config_table_create();
void        config_table_delete( struct config_table *t );
int         config_table_load( struct config_table *t, const char *filename );
int         config_table_save( struct config_table *t, const char *filename );
int         config_table_set( struct config_table *t, const char *key, const char *value );
char        *config_table_get( struct config_table *t, const char *key );
int         config_table_set_int( struct config_table *t, const char *key, int value );
int         config_table_get_int( struct config_table *t, const char *key );

#endif
