#ifndef HISTOGRAM_H
#define HISTOGRAM_H

#include "int_sizes.h"

struct histogram * histogram_create( int buckets, int seconds_per_bucket );
void histogram_delete( struct histogram *h );

void     histogram_set( struct histogram *h, int position, UINT64_T value );
UINT64_T histogram_delta( struct histogram *h, int position, UINT64_T delta );
UINT64_T histogram_get( struct histogram *h, int position );
UINT64_T histogram_total( struct histogram *h );

#endif
