/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/


#ifndef SPOOL_DIR_H
#define SPOOL_DIR_H

#include "kangaroo_message.h"

extern int spool_dir_space_remaining;

int spool_dir_init( const char *dir );
int spool_dir_insert( char *tag, struct kangaroo_message *m );
struct kangaroo_message * spool_dir_lookup( const char *tag, int want_data );
int spool_dir_remove( const char *tag );
int spool_dir_iterate( int (*iterator) ( char *filename, char *tag, void *arg ), void *arg );

#endif
