/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/


#ifndef AUTH_H
#define AUTH_H

#include <stdio.h>

#define AUTH_SUBJECT_MAX 1024
#define AUTH_TYPE_MAX 1024
#define AUTH_LINE_MAX 80

int auth_assert( FILE *r, FILE *w );
int auth_accept( FILE *r, FILE *w, char **subject, const char *authfile );

int auth_register( char *type, int (*assert)(FILE*,FILE*), int (*accept)(FILE *, FILE *,char**) );
int auth_trivial_register();
int auth_globus_register();

#endif
