/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/


#ifndef CLIENT_CACHE_H
#define CLIENT_CACHE_H

struct client_cache * client_cache_create();
void client_cache_delete( struct client_cache *c );

int client_cache_open( struct client_cache *c, const char *path, int flags, int mode );
void * client_cache_malloc( struct client_cache *c, int bytes );
struct kangaroo_server * client_cache_kangaroo_server_open( struct client_cache *c, const char *host, int port );
void client_cache_kangaroo_server_close( struct client_cache *c );

#endif
