/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/


#ifndef FULL_READWRITE
#define FULL_READWRITE

#include <sys/types.h>

ssize_t full_read( int fd, void *buf, size_t count );
ssize_t full_write( int fd, const void *buf, size_t count );

ssize_t full_pread( int fd, void *buf, size_t count, off_t offset );
ssize_t full_pwrite( int fd, const void *buf, size_t count, off_t offset );

#endif
