/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/


#ifndef KANGAROO_CONFIG_H
#define KANGAROO_CONFIG_H

#include "kangaroo_config.h"

int kangaroo_config_load( const char *filename );
int kangaroo_config_save( const char *filename );

int kangaroo_config_set( const char *key, const char *value );
char *kangaroo_config_get( const char *key );

int kangaroo_config_set_int( const char *key, int value );
int kangaroo_config_get_int( const char *key );

#endif
