/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/


#ifndef KANGAROO_ERROR_H
#define KANGAROO_ERROR_H

#define KANGAROO_ERROR_INVALID -1
#define KANGAROO_ERROR_NO_FILE -2
#define KANGAROO_ERROR_NO_MEMORY -3
#define KANGAROO_ERROR_NO_DISK -4
#define KANGAROO_ERROR_PROTOCOL -5
#define KANGAROO_ERROR_AUTHENTICATION -6
#define KANGAROO_ERROR_AUTHORIZATION -7
#define KANGAROO_ERROR_NOT_IMPLEMENTED -8
#define KANGAROO_ERROR_CONNECTION_REFUSED -9
#define KANGAROO_ERROR_CONNECTION_RESET -10
#define KANGAROO_ERROR_HOST_UNREACHABLE -11

int kangaroo_error_to_unix( int error );
int kangaroo_error_from_unix( int error );
int kangaroo_error_is_final( int error );

#endif
