/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/


#ifndef KANGAROO_EXECUTE_H
#define KANGAROO_EXECUTE_H

#include "kangaroo_message.h"
#include "client_cache.h"

#include <stdio.h>

int kangaroo_execute_put_local( struct kangaroo_message *m, struct client_cache *c );

int kangaroo_execute_put( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_get( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_commit( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_push( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_route( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_unqueue( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_pause( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_resume( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_status( struct kangaroo_message *m, struct client_cache *c );
int kangaroo_execute_dep_graph_initialize (void);
int kangaroo_execute_mover_count_decrement (int index);

#endif
