/*
Kangaroo is Copyright (C) 2001 Douglas Thain.
Permission is granted to use the source code for research and study purposes.
Other uses must be cleared with the copyright holder.
*/


#include "timestamp.h"

#include <sys/time.h>
#include <sys/select.h>

timestamp_t timestamp_get()
{
	struct timeval current;
	timestamp_t stamp;

	gettimeofday(&current,0);
	stamp = current.tv_sec*1000000 + current.tv_usec;	

	return stamp;
}

void timestamp_sleep( timestamp_t interval )
{
	struct timeval t;

	t.tv_sec = interval / 1000000;
	t.tv_usec = interval % 1000000;

	select(0,0,0,0,&t);
}
